From: [email-masked] (Zhang)
Date: Thu, 6 Jan 94 16:53:10 CST

Hi friends:

Does any body know what exact difference and relationship between I-130 and I-824
because I wrote a letter to ask the American consulate in Beijing China why they
could not give my daughter an non-immigrant visa. They did not answer me directly,
instead they submitted the letter to consulate general in Guang Zhuo China, so
I got response from there finally. They recmmended me to file I-130 at local INS
office, but they did not mention me about I-824 form. I was told to file I-824
for my daughter as soon as possible right here ( I already did last year). Could
any body give an idea what I should do next.

Thank you very much.